
QGIS Application - Bug report #19693

Qgis crash working with temporary layers

2018-08-25 09:39 AM - Giuseppe De Marco

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:3.2.1 Regression?: No

Operating System: Window 10.0.16299 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 27518

Description

User Feedback

Report Details

Crash ID: 2c22a3c109e3ebaf4748238bfd4cc038218f020e

Stack Trace

QgsFeatureSelectionModel::isSelected :

QgsAttributeTableView::selectRow :

QMetaObject::activate :

QHeaderView::sectionPressed :

QHeaderView::mousePressEvent :

QWidget::event :

QFrame::event :

QAbstractItemView::viewportEvent :

QHeaderView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.1-Bonn

QGIS code revision: commit:1edf372fb8

Compiled against Qt: 5.9.2
Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

History

#1 - 2018-08-25 03:19 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Normal to High

Not enough information provided: please describe in a detiled way hoe to replicate the issue.

#2 - 2018-08-25 04:51 PM - Giuseppe De Marco

hello the exact procedure is 

1) open Qgis and create new empty project

2) add a temporary vector layer

3) activate advanced digitizing tools

the result is:

h2. User Feedback

Report Details

Crash ID: d59fe186a1b385700807ef95060504c6369ecfd1

Stack Trace

QObject::connect :

PyInit_QtCore :

PyFrame_New :

PyObject_Call :

PyInit_sip :

PyInit__gui :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyFunction_FastCallDict :

PyObject_CallFunctionObjArgs :

PyUnicode_AsUTF8AndSize :

PyFrame_New :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyFunction_FastCallDict :

PyObject_CallFunctionObjArgs :

PyUnicode_AsUTF8AndSize :

PyFrame_New :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyEval_EvalCode :

PyArena_Free :
PyRun_StringFlags :

instance :

instance :

QgsPluginRegistry::loadPythonPlugin :

CPLString::~CPLString :

CPLString::~CPLString :

QMetaObject::activate :

QStandardItemModel::`default constructor closure' :

QMetaObject::activate :

QAbstractItemModel::dataChanged :

QStandardItemModel::itemChanged :

QStandardItem::setData :

QStandardItemModel::setData :

QSortFilterProxyModel::setData :

QStyledItemDelegate::editorEvent :

QAbstractItemView::selectionModel :

QAbstractItemView::edit :

QAbstractItemView::mouseReleaseEvent :

QListView::mouseReleaseEvent :

QWidget::event :

QFrame::event :

QAbstractItemView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QDialog::exec :

PyInit__gui :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyEval_EvalCode :

PyArena_Free :

PyRun_StringFlags :

instance :

instance :

QgisApp::rotatePointSymbols :

QgsPythonRunner::run :

QgisApp::showPluginManager :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :
QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.1-Bonn

QGIS code revision: commit:1edf372fb8

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

#3 - 2018-08-25 10:17 PM - Nyall Dawson

That trace looks python related. Please disable all plugins and try with 3.2.2

#4 - 2018-11-08 01:31 PM - Giovanni Manghi

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#5 - 2019-02-11 04:18 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
